# -*- encoding: utf-8 -*-
# stub: sensu-plugins-mesos 2.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-mesos".freeze
  s.version = "2.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2018-09-11"
  s.description = "This plugin provides navite Mesos instrumentation for monitoring\n                              and metrics collection, including: service health and metrics\n                              for Mesos, Chronos, and Marathon.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-mesos.rb".freeze, "check-marathon-task.rb".freeze, "check-mesos-cpu-balance.rb".freeze, "check-mesos-running-tasks.rb".freeze, "check-metronome.rb".freeze, "metrics-marathon.rb".freeze, "check-mesos-failed-tasks.rb".freeze, "check-mesos-gpu-balance.rb".freeze, "check-mesos-mem-balance.rb".freeze, "check-chronos.rb".freeze, "check-mesos-disk-balance.rb".freeze, "check-mesos-leader-status.rb".freeze, "check-mesos.rb".freeze, "check-marathon.rb".freeze, "check-mesos-lost-tasks.rb".freeze, "check-marathon-apps.rb".freeze]
  s.files = ["bin/check-chronos.rb".freeze, "bin/check-marathon-apps.rb".freeze, "bin/check-marathon-task.rb".freeze, "bin/check-marathon.rb".freeze, "bin/check-mesos-cpu-balance.rb".freeze, "bin/check-mesos-disk-balance.rb".freeze, "bin/check-mesos-failed-tasks.rb".freeze, "bin/check-mesos-gpu-balance.rb".freeze, "bin/check-mesos-leader-status.rb".freeze, "bin/check-mesos-lost-tasks.rb".freeze, "bin/check-mesos-mem-balance.rb".freeze, "bin/check-mesos-running-tasks.rb".freeze, "bin/check-mesos.rb".freeze, "bin/check-metronome.rb".freeze, "bin/metrics-marathon.rb".freeze, "bin/metrics-mesos.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-mesos".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for checking mesos".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<daybreak>.freeze, ["= 0.3.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<json>.freeze, ["~> 1.8", "< 2.0"])
  else
    s.add_dependency(%q<rest-client>.freeze, ["= 2.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_dependency(%q<daybreak>.freeze, ["= 0.3.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8", "< 2.0"])
  end
end
